summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 14:28:18 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:18 +0200
commit058dab8433739ce09b60617003a812435c9b87cd (patch)
treee7f2262b294bb7ebcbeab912e47e4a3d777925f4 /games
parentf93ccf73e46c4547762386fa49bb1f7eb50601b5 (diff)
downloadslackbuilds-058dab8433739ce09b60617003a812435c9b87cd.tar.gz
slackbuilds-058dab8433739ce09b60617003a812435c9b87cd.tar.xz
games/crossfire-client: Initial import
Diffstat (limited to 'games')
-rw-r--r--games/crossfire-client/README15
-rw-r--r--games/crossfire-client/crossfire-client.SlackBuild79
-rw-r--r--games/crossfire-client/crossfire-client.info8
-rw-r--r--games/crossfire-client/doinst.sh4
-rw-r--r--games/crossfire-client/slack-desc11
5 files changed, 117 insertions, 0 deletions
diff --git a/games/crossfire-client/README b/games/crossfire-client/README
new file mode 100644
index 0000000000..fd74a9ca8f
--- /dev/null
+++ b/games/crossfire-client/README
@@ -0,0 +1,15 @@
+Crossfire is an open source, cooperative multiplayer graphical RPG and
+adventure game. Since its initial release, Crossfire has grown to encompass
+over 150 monsters, about 3000 maps to explore, an elaborate magic system,
+13 races, 15 character classes, a system of skills, and many artifacts and
+treasures. Crossfire is based in a medieval fantasy world and is similar to
+other games of this genre.
+
+NOTE: If you have GTK+2 installed, the GTK+2 (gcfclient2) client will be
+built. This client is still "experimental". While it should be fine to use,
+it isn't as well tested and isn't as stable as the GTK+1 (gcfclient) or CF
+(cfclient) clients. With respect to this, the Crossfire menu entry will
+launch gcfclient instead of gcfclient2. This can be changed with a simple
+modification to the /usr/share/applications/crossfire-client.desktop file
+after installing the package - change the "Exec" line.
+
diff --git a/games/crossfire-client/crossfire-client.SlackBuild b/games/crossfire-client/crossfire-client.SlackBuild
new file mode 100644
index 0000000000..898c157f71
--- /dev/null
+++ b/games/crossfire-client/crossfire-client.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+set -e
+
+NAME=crossfire-client
+VERSION=1.9.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $NAME-$VERSION
+tar zxvf $CWD/$NAME-$VERSION.tar.gz
+cd $NAME-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --bindir=/usr/games \
+ --disable-debug \
+ --enable-gtk \
+ --enable-sdl
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in `find $PKG/usr/man -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+install -m 0644 pixmaps/48x48.png $PKG/usr/share/pixmaps/crossfire-client.png
+install -m 0644 gtk/crossfire-client.desktop $PKG/usr/share/applications/
+
+# Fix the icon path in the desktop file
+sed -i 's%Icon=crossfire-client%Icon=/usr/share/pixmaps/crossfire-client.png%' \
+ $PKG/usr/share/applications/crossfire-client.desktop
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL License NEWS NOTES README TODO \
+ $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -pv $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/crossfire-client/crossfire-client.info b/games/crossfire-client/crossfire-client.info
new file mode 100644
index 0000000000..83100d5563
--- /dev/null
+++ b/games/crossfire-client/crossfire-client.info
@@ -0,0 +1,8 @@
+PRGNAM="crossfire-client"
+VERSION="1.9.1"
+HOMEPAGE="http://crossfire.real-time.com/"
+DOWNLOAD="http://dl.sourceforge.net/crossfire/crossfire-client-1.9.1.tar.gz"
+MD5SUM="e7084c22c1f2074c95fe34331ac2ceae"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"
diff --git a/games/crossfire-client/doinst.sh b/games/crossfire-client/doinst.sh
new file mode 100644
index 0000000000..9ad0b734e0
--- /dev/null
+++ b/games/crossfire-client/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/crossfire-client/slack-desc b/games/crossfire-client/slack-desc
new file mode 100644
index 0000000000..78b25bc893
--- /dev/null
+++ b/games/crossfire-client/slack-desc
@@ -0,0 +1,11 @@
+crossfire-client: crossfire-client (client for Crossfire multiplayer RPG)
+crossfire-client:
+crossfire-client: Crossfire is an open source, cooperative multiplayer
+crossfire-client: graphical RPG and adventure game. Since its initial release,
+crossfire-client: Crossfire has grown to encompass over 150 monsters, about
+crossfire-client: 3000 maps to explore, an elaborate magic system, 13 races,
+crossfire-client: 15 character classes, a system of skills, and many artifacts
+crossfire-client: and treasures. Crossfire is based in a medieval fantasy
+crossfire-client: world and is similar to other games of this genre.
+crossfire-client:
+crossfire-client: